<?php 
  class Haber_Post 
  {
	  
	  public function Yeni_Haber_Yayini_Olustur($ilan_kategorisi,$satilik_kiralik,$real_ilan_basligi,$fiyat,$fiyat_turu,$konut_yapisi,$konut_tipi,$isinma_tipi,$oda_sayisi,$banyo_sayisi,$real_estate_ilan_aciklamasi,$esyali_esyasiz,$konum_sekli,$bina_yasi,$kat_sayisi,$bulundugu_kat,$yakit_tipi,$yapinin_durumu,$kullanim_durumu,$aidat, $depozito,$ogrenciye_bekara_uygun,$cephe_secenegi,$adsl,$ahsap_dograma,$alarm,$ankestre_mutfak,$balkon,$barbeku,$beyaz_esya,$camasir_odasi,$celik_kapi,$dusakabin,$duvar_kagidi,$ebeveyn_banyosu,$giyinme_odasi,$gomme_dolap,$goruntulu_diafon,$hali_kaplama,$hazir_mutfak,$hilton_banyo,$isicam,$jakuzi,$kablo_tv_uydu,$kapali_balkon,$kartonpiyer,$klima,$laminant_mutfak,$marley,$mermer_zemin,$mobilyali,$mutfak_dogalgaz,$panel_kapi,$panjur,$parke,$parke_laminant,$saten_alci,$saten_boya,$sauna,$seramik_zemin,$spot_isik,$somine,$teras,$vestiyer,$yerden_isitma,$ahsap_dograma1,$asansor,$bahceli,$cam_mozaik_kaplama,$fitness,$guvenlik,$hidrofor,$isi_yalitim,$jenerator,$kapici,$otopark_acik,$otopark_kapali,$oyun_parki,$pvc_dograma,$siding,$site_icerisinde,$su_deposu,$tenis_kortu,$yangin_merdiveni,$yuzme_havuzu,$arka_cephe,$caddeye_yakin,$deniz_ulasimina_yakin,$denize_sifir,$denize_yakin,$havaalanina_yakin,$manzara,$manzara_bogaz,$manzara_deniz,$manzara_doga,$manzara_gol,$manzara_sehir,$merkezde,$metrobuse_yakin,$metroya_yakin,$otobana_yakin,$on_cephe,$toplu_ulasima_yakin,$il,$ilce,$semt,$uemail,$uid) 
  {
	    
        $ilan_kategorisi= mysql_real_escape_string($ilan_kategorisi);
        $satilik_kiralik= mysql_real_escape_string($satilik_kiralik);
		$isinma_tipi= mysql_real_escape_string($isinma_tipi);
		$konut_yapisi=mysql_real_escape_string($konut_yapisi);
		$esyali_esyasiz=mysql_real_escape_string($esyali_esyasiz);
		$konut_tipi=mysql_real_escape_string($konut_tipi);
        $bina_yasi=mysql_real_escape_string($bina_yasi);
        $fiyat=mysql_real_escape_string($fiyat);
		$fiyat_turu=mysql_real_escape_string($fiyat_turu);
		$kat_sayisi=mysql_real_escape_string($kat_sayisi);
		$bulundugu_kat=mysql_real_escape_string($bulundugu_kat);
		$oda_sayisi=mysql_real_escape_string($oda_sayisi);
		$banyo_sayisi=mysql_real_escape_string($banyo_sayisi);
		$konum_sekli=mysql_real_escape_string($konum_sekli);
		$yapinin_durumu=mysql_real_escape_string($yapinin_durumu);
		$kullanim_durumu=mysql_real_escape_string($kullanim_durumu);
		$real_estate_ilan_aciklamasi=mysql_real_escape_string($real_estate_ilan_aciklamasi);
		$slug_real = url_slug(mysql_real_escape_string($real_ilan_basligi));		
		$real_estate_name = mysql_real_escape_string($GLOBALS['real_estate_name']);

        // Get all id, uid, uemail from real_estate_user
        $cureal= mysql_query("SELECT admin_id, admin_email FROM admin WHERE admin_username = '$admin_username'") or die(mysql_error());
        if(!empty(mysql_num_rows($cureal)))
        {
			// Fetch all 3 variables
            $row = mysql_fetch_assoc($cureal);
            $real_id = $row['id'];  
            $uid = $row['uid'];
            $email = $row['uemail'];

		     
		   
            $query = mysql_query("INSERT INTO real_estate_ilan(
			ilan_kategorisi,esyali_esyasiz,konut_tipi, 
			satilik_kiralik,real_ilan_basligi,fiyat,fiyat_turu,konut_yapisi, 
			isinma_tipi,oda_sayisi,banyo_sayisi,real_estate_ilan_aciklamasi, 
			konum_sekli,bina_yasi,kat_sayisi,bulundugu_kat, 
			yakit_tipi,yapinin_durumu,kullanim_durumu,aidat,depozito, 
			ogrenciye_bekara_uygun,cephe_secenegi,adsl,ahsap_dograma, 
			alarm,ankestre_mutfak,balkon,barbeku,beyaz_esya,camasir_odasi, 
			celik_kapi,dusakabin,duvar_kagidi,ebeveyn_banyosu,giyinme_odasi, 
			gomme_dolap,goruntulu_diafon,hali_kaplama,hazir_mutfak,hilton_banyo, 
			isicam,jakuzi,kablo_tv_uydu,kapali_balkon,kartonpiyer,klima, 
			laminant_mutfak,marley,mermer_zemin,mobilyali,mutfak_dogalgaz, 
			panel_kapi,panjur,parke,parke_laminant,saten_alci,saten_boya, 
			sauna,seramik_zemin,spot_isik,somine,teras,vestiyer, 
			yerden_isitma,ahsap_dograma1,asansor,bahceli,cam_mozaik_kaplama, 
			fitness,guvenlik,hidrofor,isi_yalitim,jenerator,kapici,otopark_acik, 
			otopark_kapali,oyun_parki,pvc_dograma,siding,site_icerisinde,su_deposu, 
			tenis_kortu,yangin_merdiveni,yuzme_havuzu,arka_cephe,caddeye_yakin, 
			deniz_ulasimina_yakin,denize_sifir,denize_yakin,havaalanina_yakin, 
			manzara,manzara_bogaz,manzara_deniz,manzara_doga,manzara_gol, 
			manzara_sehir, merkezde, metrobuse_yakin, metroya_yakin,otobana_yakin, 
			on_cephe,toplu_ulasima_yakin,il,ilce,semt,slug_real,uid,uemail,join_time)
			VALUES
			('$ilan_kategorisi','$esyali_esyasiz','$konut_tipi', 
			'$satilik_kiralik','$real_ilan_basligi','$fiyat','$fiyat_turu','$konut_yapisi', 
			'$isinma_tipi','$oda_sayisi','$banyo_sayisi','$real_estate_ilan_aciklamasi', 
			'$konum_sekli','$bina_yasi','$kat_sayisi','$bulundugu_kat', 
			'$yakit_tipi','$yapinin_durumu','$kullanim_durumu','$aidat','$depozito', 
			'$ogrenciye_bekara_uygun','$cephe_secenegi','$adsl','$ahsap_dograma', 
			'$alarm','$ankestre_mutfak','$balkon','$barbeku','$beyaz_esya','$camasir_odasi', 
			'$celik_kapi','$dusakabin','$duvar_kagidi','$ebeveyn_banyosu','$giyinme_odasi', 
			'$gomme_dolap','$goruntulu_diafon','$hali_kaplama','$hazir_mutfak','$hilton_banyo', 
			'$isicam','$jakuzi','$kablo_tv_uydu','$kapali_balkon','$kartonpiyer','$klima', 
			'$laminant_mutfak','$marley','$mermer_zemin','$mobilyali','$mutfak_dogalgaz', 
			'$panel_kapi','$panjur','$parke','$parke_laminant','$saten_alci','$saten_boya', 
			'$sauna','$seramik_zemin','$spot_isik','$somine','$teras','$vestiyer', 
			'$yerden_isitma','$ahsap_dograma1','$asansor','$bahceli','$cam_mozaik_kaplama', 
			'$fitness','$guvenlik','$hidrofor','$isi_yalitim','$jenerator','$kapici','$otopark_acik', 
			'$otopark_kapali','$oyun_parki','$pvc_dograma','$siding','$site_icerisinde','$su_deposu', 
			'$tenis_kortu','$yangin_merdiveni','$yuzme_havuzu','$arka_cephe','$caddeye_yakin', 
			'$deniz_ulasimina_yakin','$denize_sifir','$denize_yakin','$havaalanina_yakin', 
			'$manzara','$manzara_bogaz','$manzara_deniz','$manzara_doga','$manzara_gol', 
			'$manzara_sehir','$merkezde','$metrobuse_yakin','$metroya_yakin','$otobana_yakin', 
			'$on_cephe','$toplu_ulasima_yakin','$il','$ilce','$semt','$slug_real','$uid','$email',NOW())");
             if($query) {
				 return mysql_insert_id();
				 
				 }
				 else {
        echo mysql_error(); // error in INSERT statement...
   }
    
     }
     else
     {
     return false;
     }
  }
   
	/*Real Estate Image Upload*/     
	
	public function Real_Estate_Image_Upload($uid, $image) {
		$pathRealEstateImages="real_estate_ilan_uploads/";
		$img_src = $pathRealEstateImages.$image;
		$imgbinary = fread(fopen($img_src, "r"), filesize($img_src));
		$img_base = base64_encode($imgbinary);
		$ids = 0;
		$query = mysql_query("INSERT INTO real_estate_upload (rimage_path,ruid_fk)VALUES('$image','$uid')") or die(mysql_error());
		$ids = mysql_insert_id();
		return $ids;
		}
	/*Get Real Estate Image Upload*/
	public function Get_Real_Estate_Upload_Image($uid,$image){
		if($image){
			$query = mysql_query("SELECT id,rimage_path FROM real_estate_upload WHERE rimage_path='$image'") or die(mysql_error());
			}
			else {
				$query = mysql_query("SELECT id,rimage_path FROM real_estate_upload WHERE ruid_fk='$uid' ORDER BY id DESC")or die(mysql_error);
				}
				$result = mysql_fetch_array($query);
				return $result;
		} 
		/*Id Image Upload*/
	public function Get_Real_Estate_Upload_Image_Id($id) 
	{	
        $query = mysql_query("select rimage_path from real_estate_upload where id='$id'") or die(mysql_error());
        $result = mysql_fetch_array($query);
    	return $result;
    }
	  
}
?>
